Package net.md_5.bungee.config

# Class Configuration

java.lang.Object
net.md_5.bungee.config.Configuration

public final class Configuration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Configuration()`
  `Configuration(Configuration defaults)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(String path)`
  `Object`
  `get(String path)`
  `<T> T`
  `get(String path, T def)`
  `boolean`
  `getBoolean(String path)`
  `boolean`
  `getBoolean(String path, boolean def)`
  `List<Boolean>`
  `getBooleanList(String path)`
  `byte`
  `getByte(String path)`
  `byte`
  `getByte(String path, byte def)`
  `List<Byte>`
  `getByteList(String path)`
  `char`
  `getChar(String path)`
  `char`
  `getChar(String path, char def)`
  `List<Character>`
  `getCharList(String path)`
  `Object`
  `getDefault(String path)`
  `double`
  `getDouble(String path)`
  `double`
  `getDouble(String path, double def)`
  `List<Double>`
  `getDoubleList(String path)`
  `float`
  `getFloat(String path)`
  `float`
  `getFloat(String path, float def)`
  `List<Float>`
  `getFloatList(String path)`
  `int`
  `getInt(String path)`
  `int`
  `getInt(String path, int def)`
  `List<Integer>`
  `getIntList(String path)`
  `Collection<String>`
  `getKeys()`
  Gets keys, not deep by default.
  `List<?>`
  `getList(String path)`
  `List<?>`
  `getList(String path, List<?> def)`
  `long`
  `getLong(String path)`
  `long`
  `getLong(String path, long def)`
  `List<Long>`
  `getLongList(String path)`
  `Configuration`
  `getSection(String path)`
  `short`
  `getShort(String path)`
  `short`
  `getShort(String path, short def)`
  `List<Short>`
  `getShortList(String path)`
  `String`
  `getString(String path)`
  `String`
  `getString(String path, String def)`
  `List<String>`
  `getStringList(String path)`
  `void`
  `set(String path, Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Configuration

    public Configuration()

  - ### Configuration

    public Configuration(Configuration defaults)

- ## Method Details

  - ### get

    public <T> T get(String path, T def)

  - ### contains

    public boolean contains(String path)

  - ### get

    public Object get(String path)

  - ### getDefault

    public Object getDefault(String path)

  - ### set

    public void set(String path, Object value)

  - ### getSection

    public Configuration getSection(String path)

  - ### getKeys

    public Collection<String> getKeys()
    Gets keys, not deep by default.
    Returns:
      top level keys for this section

  - ### getByte

    public byte getByte(String path)

  - ### getByte

    public byte getByte(String path, byte def)

  - ### getByteList

    public List<Byte> getByteList(String path)

  - ### getShort

    public short getShort(String path)

  - ### getShort

    public short getShort(String path, short def)

  - ### getShortList

    public List<Short> getShortList(String path)

  - ### getInt

    public int getInt(String path)

  - ### getInt

    public int getInt(String path, int def)

  - ### getIntList

    public List<Integer> getIntList(String path)

  - ### getLong

    public long getLong(String path)

  - ### getLong

    public long getLong(String path, long def)

  - ### getLongList

    public List<Long> getLongList(String path)

  - ### getFloat

    public float getFloat(String path)

  - ### getFloat

    public float getFloat(String path, float def)

  - ### getFloatList

    public List<Float> getFloatList(String path)

  - ### getDouble

    public double getDouble(String path)

  - ### getDouble

    public double getDouble(String path, double def)

  - ### getDoubleList

    public List<Double> getDoubleList(String path)

  - ### getBoolean

    public boolean getBoolean(String path)

  - ### getBoolean

    public boolean getBoolean(String path, boolean def)

  - ### getBooleanList

    public List<Boolean> getBooleanList(String path)

  - ### getChar

    public char getChar(String path)

  - ### getChar

    public char getChar(String path, char def)

  - ### getCharList

    public List<Character> getCharList(String path)

  - ### getString

    public String getString(String path)

  - ### getString

    public String getString(String path, String def)

  - ### getStringList

    public List<String> getStringList(String path)

  - ### getList

    public List<?> getList(String path)

  - ### getList

    public List<?> getList(String path, List<?> def)